%define name perl-ldap
%define version 0.33
%define release %mkrel 3

Summary:	Perl modules for ldap
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://search.cpan.org/dist/%{name}/
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{name}-%{version}.tar.bz2
License:	GPL or Artistic
Group:		Development/Perl
%if %{mdkversion} < 1010
BuildRequires:	perl-devel >= 5.8.0
%endif
BuildRequires:	perl(Convert::ASN1)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	perl-Authen-SASL >= 2.00
Requires:	perl-XML-Parser perl-Convert-ASN1 >= 0.07

%description
The perl-ldap distribution is a collection of perl modules
which provide an object-oriented interface to LDAP servers.

%prep
%setup -q -n %{name}-%{version}

%build
find -name \*.pm | xargs chmod 644
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CREDITS README
%{_mandir}/*/*
%{perl_vendorlib}/LWP
%{perl_vendorlib}/Bundle
%{perl_vendorlib}/Net

%changelog
* Mon May 01 2006 Scott Karns <scottk@mandriva.org> 0.33-3mdk
- Update source URL and BuildRequires to meet Mandriva perl packaging
  policies

* Tue Feb 21 2006 Stefan van der Eijk <stefan@eijk.nu> 0.33-2mdk
- BuildRequires

* Mon Feb 06 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.33-1mdk
- 0.33, and get rid of real_version macro, using upstream version instead
- Fix and shorten description
- Fix URL, licence and permissions

* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.31-2mdk
- own dirs

* Thu Jan 28 2004 Vincent Guardiola <vguardiola@mandrakesoft.com> 0.31-1mdk
- 0.31.

* Thu Aug 21 2003 Franois Pons <fpons@mandrakesoft.com> 0.29-1mdk
- 0.29.

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.28-2mdk
- rebuild for new perl
- drop Prefix tag
- don't use PREFIX
- use %%makeinstall_std macro
- drop $RPM_OPT_FLAGS, noarch..
- quiet setup

* Fri May 23 2003 Franois Pons <fpons@mandrakesoft.com> 0.28-1mdk
- 0.28.

* Fri Apr 25 2003 Franois Pons <fpons@mandrakesoft.com> 0.27.01-2mdk
- added missing requires to perl-Convert-ASN1 (bug 3473).

* Tue Jan 28 2003 Franois Pons <fpons@mandrakesoft.com> 0.27.01-1mdk
- 0.2701.

* Sun Jul 21 2002 Pixel <pixel@mandrakesoft.com> 0.26-2mdk
- fix require

* Fri Jul 19 2002 Franois Pons <fpons@mandrakesoft.com> 0.26-1mdk
- 0.26.

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 0.25-2mdk
- rebuild for perl 5.8.0

* Thu Nov 08 2001 Franois Pons <fpons@mandrakesoft.com> 0.25-1mdk
- make it noarch.
- added documentation.
- added url tag.
- removed perllocal.pod.
- 0.25.

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 0.24-2mdk
- BuildRequires: perl-devel
- Copyright --> License

* Wed Aug  8 2001 Vincent Saugey <vince@mandrakesoft.com> 0.24-1mdk
- First mdk release
